#if !defined(AFX_DLGPLAYBACK_H__65F71762_8965_4F64_85C0_135B58C5E4F0__INCLUDED_)
#define AFX_DLGPLAYBACK_H__65F71762_8965_4F64_85C0_135B58C5E4F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgPlayBack.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgPlayBack dialog
#include "MsIpcSDK.h"

class CDlgPlayBack : public CDialog
{
// Construction
public:
	CDlgPlayBack(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgPlayBack)
	enum { IDD = IDD_DLG_PLAYBACK };
	CStatic	m_wndTime;
	CSliderCtrl	m_slider;
	CStatic	m_wndPlay;
	CListCtrl	m_listFile;
	//}}AFX_DATA
	LONG m_nUserId;
	int m_nSpeedSlow;
	int m_nSpeedQuick;
	int m_nSpeed;
	BOOL m_bPause;
	BOOL m_bStop;
	char m_sVideoFile[MAX_PATH];
	char m_sDiskPath[MAX_PATH];
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgPlayBack)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	BOOL InitListCtrl();
	BOOL LoadVideoFile(Ms_Ipc_FileInfo *pFileInfo);
	void DeleteAllItem();
public:
	BOOL PlayFile(char *sFilePath);
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgPlayBack)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnBtnSlowly();
	afx_msg void OnBtnQuickly();
	afx_msg void OnBtnStop();
	afx_msg void OnBtnPause();
	afx_msg void OnBtnFind();
	afx_msg void OnDblclkListFile(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	afx_msg void OnClickSlider(NMHDR* pNMHDR, LRESULT* pResult);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGPLAYBACK_H__65F71762_8965_4F64_85C0_135B58C5E4F0__INCLUDED_)
